Subject: RE: draft-thubert-nemo-global-haha-01.txt (was: [nemo] Charter proposal)

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 29 Mar 2006 15:33:41 -0800

> > hi Terry,
> > 
> > Global HAHA can address the two requirements. 
> >
> (http://www.ietf.org/internet-drafts/draft-thubert-nemo-global
> -haha-01.t
> xt)
> > but for some reason, the NEMO WG has not been able to take a 
> > decision on Global HAHA (its been bouncing back and forth 
> > between NEMO and
> > Monami6 WGs). the NEMO WG has been sitting on this draft for 
> > more than two years now, even though you have expressed 
> > interest in it numerous times. there is no home for it currently.
> > 
> 
> I think there are other reasons why this draft hasn't moved forward
> other than trying to figure out which working group should be solving
> the problems. 
> 
> Aviation & maritime platforms are globally mobile, because they are
> globally mobile this makes route optimization also an InterDomain
> Routing issue.  
> 
> Even if you had global-haha implemented it would require multiple ASNs
> to announce the mobile platform's address space.  That would likely
> require cooperation among a number of network operators to truly get
> route-optimization.   These network operators would also have to agree
> to provide transit to other operators where the mobile platform was
> currently homed.
> 
> Alternatively the mobile service provider would have to setup
> infrastructure in multiple well connected and well peered global
> locations just to prevent triangle routing from occuring.  The mobile
> service provider would also have to provide a transit network to
> transport traffic between the HA and the current attachment point.

is that a problem? this problem is common to all
roaming nodes, no?

> I personally think there are interesting ideas in the 
> global-haha draft,
> but I'm not don't know if the operational deployment issues 
> make it the
> best path forward.

we should discuss them.

Vijay

---

From: "Dul, Andrew L" <[email-masked]>
Date: Thu, 30 Mar 2006 09:06:00 -0800

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Wednesday, March 29, 2006 3:34 PM
> > 
> > locations just to prevent triangle routing from occurring.  
> The mobile 
> is that a problem? this problem is common to all roaming nodes, no?

The problem is common but the situation is exacerbated because the
roaming nodes are often far away from their home network.

If you have to tunnel gigabytes of traffic across town because your
traffic didn't enter at the closest point, that isn't necessarily a
problem because the cost of carrying that traffic across town is
negligible.

However, if you have tunnel gigabytes of traffic across oceans because
your traffic is being triangle routed that is a problem because the cost
is substantial.

Route optimization, to me, is not necessarily about always using the
shortest path from a physical perspective, but it is about using the
most economic path.  Having the best path looks cool, but if the cost to
tunnel the traffic is negligible compared with the increased cost of
complexity, I would vote for the negligible increase in transit cost.
However if the cost of transit is high then additional complexity would
likely be needed to reduce the real cost of transporting bits.

Andrew